<?
include 'config.php';
include 'func.php';
head();
aut();
ban();

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'cabinet' WHERE `id` = '".$id_session."'");
####################################################

echo head ."<b>Личный кабинет</b>" .div;    

$cena = 10;

switch($_GET['act']){
default:
$mail = mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE `to_user` = '".$id."'"), 0);
$mail2 = mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE `to_user` = '".$id."' AND `status` = '0'"), 0);
$kol_stena = mysql_result(mysql_query("SELECT count(*) FROM `stena` WHERE `komu` = '".$id."'"), 0);
$present_kol = mysql_result(mysql_query("SELECT count(*) FROM `presents_list` WHERE `user_2` = '".$id_session."'"), 0);
$all_guest = mysql_result(mysql_query("SELECT count(*) FROM `guest` WHERE `user_2` = '".$id_session."'"), 0);

echo link1 .'Здравствуйте, '.$login_session .div;


##Вывод авы
if($user['upload_ava']){
    $ava = '<a href="ava.php"><img src="resize.php?img=upload_ava/'.$user['upload_ava'].'&width='.$ava_w.'&height" alt=""/></a>';
} else {
    $ava = '<a href="ava.php"><img src="resize.php?img=noava.png&width='.$ava_w.'&height" alt=""/></a>';
}


echo katalog . $ava . div . clouds_2;
############
echo '<form action="microblog/add.php" method="post" name="form">';
$q=mysql_fetch_assoc(mysql_query("SELECT * FROM `microblog` WHERE `id_user` = '$user[id]' ORDER BY `id` DESC LIMIT 1"));
echo "Статус:<br />\n";
echo '<input name="name" type="text" value="'.$q[name].'" maxlength="100" /><br/>';
echo '<input name="submit" type="submit" class="button" value="Написать" /></form></div>';   


echo "<div class='katalog'> <a href=\"mail.php\">Почта</a> [".$mail."/<b>".$mail2."</b>]<br/ ><br/ >";

echo ' Мой ник: <a href="magaz/login.php">' . colorl($user['id']);
echo "</a><br/ > <a href=\"cabinet.php?act=color\">Цвет</a> <a href=\"magaz/gradient.php\">Градиент</a><br/ >";

if ($user['vip'] < time())
echo " <b><a href=\"vip.php\">Активировать VIP</a></b><br/ >";

echo " <b><a href=\"cabinet.php?act=invis\">Невидимость</a></b><br/ >";
echo " <b><a href=\"myinfo/\">Редактировать анкету</a></b><br/ >";
echo " <b><a href=\"cabinet.php?act=ack\">Мой аккаунт</a></b><br/ >";
echo " <a href=\"cabinet.php?act=private\">Настройки приватности</a><br/ >";
echo " <a href=\"cabinet.php?act=forum\">Настройки форума</a><br/ >";
echo " <a href=\"cabinet.php?act=auto\">Мой автологин</a><br/ >";
echo " <a href=\"style.php\">Смена стиля</a></b><br/ >";
echo " <b><a href=\"uvedom.php?mod=clean\">Чистка уведомлений</a></b><br/ >";
echo " <a href=\"cabinet.php?act=smiles\">Личные смайлы</a></div>";
echo katalog;
echo ' X-Статус: ' . xstatus($user['xstatus'], $user['id']).'<br/ >';
echo div;

echo katalog;
echo " <b><a href=\"search.php\">Поиск людей</a></b><br/ >";
echo div;

echo katalog;
$allfriend = mysql_result(mysql_query("SELECT count(*) FROM `friends` WHERE `user_1` = '".$id_session."'"), 0); 
echo " <a href=\"friends.php\">Мои друзья</a> [".$allfriend."]<br/ >";
$allblack = mysql_result(mysql_query("SELECT count(*) FROM `blacklist` WHERE `user_1` = '".$id_session."'"), 0); 
echo " <a href=\"blacklist.php\">Черный список</a> [".$allblack."]</b><br/ >";
echo ' <a href="guest.php?user='.$user['id'].'&room='.$room.'">Мои гости</a> ['.$all_guest.']<br/>';


echo " <a href=\"stena.php?id=".$id."\">Стена</a> [".$kol_stena."]<br/>";

echo $sethoroskop;

$files_kol = mysql_result(mysql_query("SELECT count(*) FROM `fo` WHERE `user` = '$id_session'"), 0);
if($files_kol>0)
{
echo " <a href=\"obmen/user/index.php?id=".$id_session."\">Мои файлы</a> [$files_kol]<br/>";
}
echo " <a href=\"presents.php?act=present_user&user=".$id_session."\">Мои подарки</a> [".$present_kol."] | <a href=\"present.php?\">Подарить</a>" . div;
echo "<div class='link1'> <b><a href=\"pay.php\">Пополнить монеты</a> [Для жителей России]" . div;
break;

case 'invis':
echo katalog;
if ($user['vip'] > time()) { 
if (isset($_POST['ok'])) {
   $an = num($_POST['an']);
   $an = ($an == 1) ? 1 : 0;
   mysql_query("UPDATE `profile` SET `invis` = '$an' WHERE `id` = '".$id_session."'");
   echo 'Нивидимость включена<br/>';
}

$sel = mysql_fetch_array(mysql_query("SELECT `invis` FROM `profile` WHERE `id` = '".$id_session."'"));

if ($sel[0] == 1) $ch_1 = 'checked="checked"';
else $ch_2 = 'checked="checked"';

echo '<b>Управление нивидимостью</b><br/>';
echo '<FORM method="POST" action="cabinet.php?act=invis">
      Невидимость: <input type="radio" name="an" ' . $ch_1 . ' value="1"/> Вкл
	  <input type="radio" name="an" ' . $ch_2 . ' value="2"/> Выкл
	  <br/>
	  <input type="submit" name="ok" value="Сохранить"/>
	  </FORM>';

} else {
    echo 'Функция доступна для VIP пользователей';
}
echo div;
break;

case 'auto':
echo katalog;
echo 'Ссылка: http://'.$_SERVER['HTTP_HOST'].'/in.php?id='.$user['id'].'&pass='.$user['pass'].'<br/ >';
echo 'Скопировать: <input name="avto" type="text" value="http://'.$_SERVER['HTTP_HOST'].'/in.php?id='.$user['id'].'&pass='.$user['pass'].'" />' . div;
echo div;        
break;


case 'ack':
if ( isset($_POST['umail']) ) {
    
    $email = html($_POST['email']);
    
    if ( empty($email) ) $err = 'Вы не ввели E-Mail';
    
    if ( isset($err) ) {
        
        echo link1 . '<b>Ошибка:</b>' . $err . div; 
        
    } else {
        
        $result = mysql_query("UPDATE `profile` SET `mail` = '".$email."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            echo link1 . 'E-Mail изменен' . div;
            else
            echo link1 . 'Возникла ошибка' . div;
        
    }
    
}

if ( isset($_POST['upass']) ) {

    $pass1 = html($_POST['pass1']);
    $pass2 = html($_POST['pass2']);
    
    
    if ( empty($pass1) ) $err = 'Вы не ввели новый пароль';
    
    if ( $pass1 != $pass2 ) $err = 'Вы не верно повторили новый пароль';
    if ( strlen($pass1) < 5 ) $err = 'Слишком короткий новый пароль'; 
    
    $result = mysql_query("UPDATE `profile` SET `pass` = '".$pass2."' WHERE `id` = '".$id_session."'");
        if ( $result != NULL )
        echo link1 . 'Пароль изменен' . div;
        else
        echo link1 . 'Возникла ошибка' . div;
    
}
echo '<div class="link2"><form action="cabinet.php?act=ack" method="post" name="form">';
echo '<b>Изменить E-Mail:</b><br/>';
echo 'Новый E-Mail:<br/ > <input name="email" type="text" maxlength="30"/><br/ >';
echo '<input name="umail" type="submit" class="button" value="Изменить E-Mail" /></form><br/>';

echo '<b>Изменить пароль:</b>';
echo '<form action="cabinet.php?act=ack" method="post" name="form">';
echo 'Новый пароль:<br/ > <input name="pass1" type="text" maxlength="50"/><br/ >';
echo 'Еще раз:<br/ > <input name="pass2" type="text" maxlength="50"/><br/ >';
echo '<input name="upass" type="submit" class="button" value="Изменить пароль" /></form>' . div;
echo link1 . 'При вводе пароля удостоверьтесь, что у Вас не включен режим CAPS LOCK. Пароль должен содержать не менее 5 знаков<br/ >' . div;
break;

case 'forum':
echo '<div class="link2"><b>Настройки форума:</b></div>' . katalog;

if (isset($_POST['submit'])) {
    
    $post = num($_POST['post']);
    $them = num($_POST['theme']);
    $sort = num($_POST['sort']);
    
    if (mysql_query("UPDATE `profile` SET `forum_abc` = '".$sort."', `postov_forum` = '".$post."', `theme_forum` = '".$them."' WHERE `id` = '".$id_session."'") )
    echo '<b>Настройки успешно сохранены</b><br/>';
    else
    echo '<b>Возникла ошибка</b><br/>';
}
echo '<form action="cabinet.php?act=forum" method="post" name="form">
<b>Постов на страницу:</b><br/>
<select name="post">
<option value="'.$postov_forum_session.'">'.$postov_forum_session.'</option>
<option value="5">5</option>
<option value="10">10</option>
<option value="15">15</option>
</select><br/ >
';

echo '
<b>Тем на страницу:</b><br/>
<select name="theme">
<option value="'.$theme_forum_session.'">'.$theme_forum_session.'</option>
<option value="5">5</option>
<option value="10">10</option>
<option value="15">15</option>
</select><br/ >
';

echo '
<b>Сортировка постов:</b><br/>
<select name="sort">
<option value="'.$forum_abc_session.'">Не изменять</option>
<option value="0">1 >> 2 >> 3</option>
<option value="1">3 >> 2 >> 1</option>
</select><br/ >
';
echo '<input name="submit" type="submit" class="button" value="Сохранить" /></form>';
break;


case 'private':

if ( isset($_POST['private']) ) {

    $lichka = num($_POST['lichka']);
    $friend = num($_POST['friend']);
    $stena = num($_POST['stena']);
    $present = num($_POST['present']);

    $result = mysql_query("UPDATE `profile` SET `private_present` = '".$present."', `private_lichka` = '".$lichka."', `private_friend` = '".$friend."', `private_stena` = '".$stena."' WHERE `id` = '".$id_session."'");
        if ( $result != NULL )
        echo link1 . 'Настройки приватности успешно изменены' . div;
        else
        echo link1 . 'Возникла ошибка' . div;    
    
}
echo '<form action="cabinet.php?act=private" method="post" name="form">';
if ( $plichka_session == 0 ) $plichka = 'Все';
elseif ($plichka_session == 1) $plichka = 'Друзья';
elseif ($plichka_session == 2) $plichka = 'Никто';

echo link1 . 'Кто может писать мне в личку: ' . $plichka . div;
echo link2 . '
<select name="lichka">
<option value="'.$pclan_lichka.'">'.$plichka.'</option>
<option value="0">Все</option>
<option value="1">Друзья</option>
<option value="2">Никто</option>
</select>
' . div;

if ( $pfriend_session == 0 ) $pfriend = 'Все';
elseif ($pfriend_session == 1) $pfriend = 'Никто';

echo link1 . 'Кто может смотреть список моих друзей: ' . $pfriend . div;
echo link2 . '
<select name="friend">
<option value="'.$pfriend_session.'">'.$pfriend.'</option>
<option value="0">Все</option>
<option value="1">Никто</option>
</select>
' . div;

if ( $pstena_session == 0 ) $pstena = 'Все';
elseif ($pstena_session == 1) $pstena = 'Никто';

echo link1 . 'Кто может оставлять сообщения на моей стене: ' . $pstena . div;
echo link2 . '
<select name="stena">
<option value="'.$pstena_session.'">'.$pstena.'</option>
<option value="0">Все</option>
<option value="1">Никто</option>
</select><br/>
' . div;


if ( $ppresent_session == 0 ) $ppresent = 'Все';
elseif ($ppresent_session == 1) $ppresent = 'Никто';

echo link1 . 'Кто может смотреть мои подарки: ' . $pstena . div;
echo link2 . '
<select name="present">
<option value="'.$ppresent_session.'">'.$ppresent.'</option>
<option value="0">Все</option>
<option value="1">Никто</option>
</select><br/>

<input name="private" type="submit" class="button" value="Сохранить" /></form>
' . div;
break;

case 'color':

if ( isset($_POST['submit']) ) {
    
    $color = num($_POST['color']);
    $result = mysql_query("UPDATE `profile` SET `color_login` = '".$color."' WHERE `id` = '".$id."'");
    
    if ( $result != NULL ) {
        echo link1 . 'Цвет ника изменен' . div;
    } else {
        echo link1 . 'Возникла ошибка' . div;
    }
}
echo link2 . '<form action="cabinet.php?act=color" method="post" name="form">
<select name="color">
<option value="'.$color_login_session.'">Не изменять</option>
<option value="0">Черный</option>';
if($level_session>=1)
{
echo '<option value="1">Красный</option>';
}
echo '<option value="2">Яндекс</option>
<option value="3">Оранжево-персиковый</option>
<option value="4">Бежевый</option>
<option value="5">Оливковый</option>
<option value="6">Шафрановый</option>
<option value="7">Желтый</option>
<option value="8">Зеленый</option>
<option value="9">Лайм</option>
<option value="10">Мятный</option>
<option value="11">Фиолетово-красный</option>
<option value="12">Пурпурный</option>
<option value="13">Оранжевый</option>
<option value="14">Розовый</option>
<option value="15">Тыквенный</option>
<option value="16">Лазурный</option>
<option value="19">Моренго</option>
<option value="20">Мурена</option>
<option value="21">Бирюзовый</option>
<option value="22">Сапфировый</option>
</select><br/>
<input name="submit" type="submit"  class="button" value="Сохранить" /></form>' . div;
break;

case 'smiles':
echo link1 . '<b>Управление смайлами:</b>' . div;
if ($_GET['ok'] == add) echo '<b>Смайл успешно загружен.</b><br />';
if ($_GET['ok'] == del1 || $_GET['ok'] == del2 || $_GET['ok'] == del3) echo link2 . '<b>Смайл успешно удален.</b>' . div;

if ($_GET['sm'] == del1) {
mysql_query("Update profile set lsmile='' where id ='".$user['id']."'");
if (file_exists('uploadsmiles/' . $user['lsmile'].'')) unlink('mysmiles/' . $user['lsmile'].'');
header ('Location: cabinet.php?act=smiles&ok=del1');
exit;
}
if ($_GET['sm'] == del2) {
mysql_query("Update profile set lsmile2='' where id ='".$user['id']."'");
if (file_exists('uploadsmiles/' . $user['lsmile2'].'')) unlink('mysmiles/' . $user['lsmile2'].'');
header ('Location: cabinet.php?act=smiles&ok=del2');
exit;
}
if ($_GET['sm'] == del3) {
mysql_query("Update profile set lsmile3='' where id ='".$user['id']."'");
if (file_exists('uploadsmiles/' . $user['lsmile3'].'')) unlink('mysmiles/' . $user['lsmile3'].'');
header ('Location: cabinet.php?act=smiles&ok=del3');
exit;
}

if (!empty($user['lsmile'])) {
echo link2 . '<img src="' . $user['lsmile'].'" alt="Смайл"/><br/>
      Комманда: .my.<br/>
      <a href="cabinet.php?act=smiles&sm=del1">[Удалить]</a>' . div;
}
if (!empty($user['lsmile2'])) {
echo link2 . '<img src="' . $user['lsmile2'].'" alt="Смайл"/><br/>
      Комманда: .my2.<br/>
      <a href="cabinet.php?act=smiles&sm=del2">[Удалить]</a>' . div;
}
if (!empty($user['lsmile3'])) {
echo link2 . '<img src="' . $user['lsmile3'].'" alt="Смайл"/><br/>
      Комманда: .my3.</small><br/>
      <a href="cabinet.php?act=smiles&sm=del3">[Удалить]</a>' . div;
}

echo link1 . '<a href="cabinet.php?act=smile">Загрузить смайл</a>' . div;
break;

case smile:
echo katalog;
if (empty($_POST['submit'])) {

echo 'Размер загружаемого смайла не должен привышать 25 кб. 100х100px. Форматы: gif, jpg, jpeg, png.<br/>Цена загрузки одного смайла = ' . $cena . ' монет23';
if ($_GET['err'] == 1) echo '<b style="color: red">Недопустимое расширение файла!</b><br />';
if ($_GET['err'] == 2) echo '<b style="color: red">Размер файла не должен превышать 25 кб.</b><br />';
if ($_GET['err'] == 3) echo '<b style="color: red">Достигнут лимит загружаемых смайлов!</b><br />';
if ($_GET['err'] == 4) echo '<b style="color: red">Неправильное расширение смайла!</b><br />';

$count = mysql_fetch_assoc(mysql_query("SELECT `lsmile`,`lsmile2`,`lsmile3` FROM `profile` WHERE `id`='$id'"));
if (!empty($count['lsmile'])) {
$l = 1;
}
if (!empty($count['lsmile2'])) {
$l2 = 1;
}
if (!empty($count['lsmile3'])) {
$l3 = 1;
}

echo '<u>Личных смайлов '.($l+$l2+$l3).' из 3</u><br/>';

echo '<form ENCTYPE="multipart/form-data" action="cabinet.php?act=smile" method="post">';
echo '<b>Прикрепить смайл:</b><br/>';
echo '<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
<input type="submit" name="submit" class="ibutton"  value="Загрузить">
</form><br/>';

} else {

if (!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";

$pictures = array('.gif', '.jpg', '.jpeg', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));

$par = @getimagesize($_FILES['file']);

if (($par[0] > 100) or ($par[1] > 100)) $err = 'Не верное разрешение файла';



$fnames = $_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess"))  $err = 'Не верное расширение файла';

if ($vip_session < time())
if ($many_session < $cena) $err = 'У вас не достаточно монет';

if (!empty($user['lsmile']) && !empty($user['lsmile2']) && !empty($user['lsmile3']))  $err = 'Достигнут лимит загруженных смайлов';


if (!in_array($ext, $pictures))   $err = 'Не верное расширение файла';

if ($_FILES['file']['size'] > (1024 * 25))  $err = 'Размер файла не должен превышать 25 кб';

if (empty($user['lsmile'])) {
$foto = "uploadsmiles/smile_".$user['id'].$ext."";
} elseif (empty($user['lsmile2'])) {
$foto = "uploadsmiles/smile2_".$user['id'].$ext."";
} elseif (empty($user['lsmile3'])) {
$foto = "uploadsmiles/smile3_".$user['id'].$ext."";
}

if (isset($err)) echo 'Ошибка, ' . $err . '<br/>';
else {
if (empty($user['lsmile']) || empty($user['lsmile2']) || empty($user['lsmile3'])) {
@copy($_FILES['file']['tmp_name'],$foto);
@chmod(H.basename($foto), 0751);
}


if (empty($user['lsmile'])) {
mysql_query("Update profile set lsmile='".$foto."' where id ='".$user['id']."'");

} elseif (empty($user['lsmile2'])) {
mysql_query("Update profile set lsmile2='".$foto."' where id ='".$user['id']."'");
} elseif (empty($user['lsmile3'])) {
mysql_query("Update profile set lsmile3='".$foto."' where id ='".$user['id']."'");
}

if ($vip_session > time())
$result = $many_session - 0;
else
$result = $many_session - $cena;
mysql_query("Update profile set `many`='".$result."' where id ='".$id_session."'");

echo 'Смайл успешно загружен';
}

}

echo div;
break;
######################
}


navig();
foot();
?>